Package org.eclipse.ecf.core.sharedobject

# Class SharedObjectMsgEventProcessor

java.lang.Object
org.eclipse.ecf.core.sharedobject.SharedObjectMsgEventProcessor

All Implemented Interfaces:
  `IEventProcessor`

public class SharedObjectMsgEventProcessor extends Object implements IEventProcessor
Event processor to process SharedObjectMsgEvents

See Also:
  - `IEventProcessor`
  - `BaseSharedObject.addEventProcessor(IEventProcessor)`

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectMsgEventProcessor(BaseSharedObject sharedObject)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`processEvent(Event event)`
Process given Event
`protected boolean`
`processSharedObjectMsgEvent(ISharedObjectMessageEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SharedObjectMsgEventProcessor

public SharedObjectMsgEventProcessor(BaseSharedObject sharedObject)

## Method Details

### processEvent

public boolean processEvent(Event event)
Description copied from interface: `IEventProcessor`
Process given Event

Specified by:
  `processEvent` in interface `IEventProcessor`
Parameters:
  `event` - the Event to process
Returns:
  true if the event has been successfully processed and no further processing should occur. False if the event should receive further processing by another event processor (e.g. in a chain)

### processSharedObjectMsgEvent

protected boolean processSharedObjectMsgEvent(ISharedObjectMessageEvent event)